package main

import (
	"bufio"
	"fmt"
	"os"
)

func main() {
	fmt.Println("MCP adapter started")

	scanner := bufio.NewScanner(os.Stdin)
	for scanner.Scan() {
		fmt.Printf("Adapter received: %s\n", scanner.Text())
	}

	if err := scanner.Err(); err != nil {
		fmt.Fprintf(os.Stderr, "error reading stdin: %v\n", err)
	}
}
